Group

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /groups
  • /:group_id

Returns a single user group in the specified project

Request

REQUIRED SCOPES
PROJECT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

group_idrequiredinteger
The ID of the group

Example: 123

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idrequiredinteger
The ID of the group
namestring
The name of the group
permission_setrequiredPermissionSetView
User permission set configuration

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/groups/:group_id" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-company/projects/my-project/groups/4",
  "html_url": "https://app.buddy.works/my-company/-/groups/4",
  "id": 4,
  "name": "Frontend Team",
  "permission_set": {
    "url": "https://api.buddy.works/workspaces/my-company/permissions/1",
    "html_url": "https://app.buddy.works/my-company/-/permissions/edit/1",
    "name": "Developer",
    "repository_access_level": "READ_WRITE",
    "pipeline_access_level": "READ_WRITE",
    "sandbox_access_level": "READ_WRITE",
    "project_team_access_level": "READ_ONLY",
    "environment_access_level": "MANAGE",
    "artifact_access_level": "MANAGE",
    "id": 1,
    "type": "DEVELOPER"
  }
}
STATUS
200 OK